# MPI_Type_get_name

## NAME

MPI_Type_get_name − Gets the name of a data type.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Type_get_name(MPI_Datatype type, char *type_name,

|  | int *resultlen)

## Fortran Syntax

INCLUDE ’mpif.h’
TYPE_GET_NAME(TYPE, TYPE_NAME, RESULTLEN, IERROR)

| INTEGER |  |  | TYPE, RESULTLEN, IERROR
| CHARACTER*(*) TYPE_NAME |  |  |

## C++ Syntax

#include <mpi.h>
void MPI::Datatype::Get_name(char* type_name, int& resultlen)

| const

## INPUT PARAMETER

| type |  | Data type whose name is to be returned (handle). |

## OUTPUT PARAMETERS

| type_name |  | The name previously stored on the data type, or an empty string if not such name exists (string).
| resultlen |  | Length of returned name (integer).
| IERROR |  | Fortran only: Error status (integer).

## DESCRIPTION

MPI_Type_get_name returns the printable identifier associated with an MPI data type.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

## SEE ALSO

MPI_Type_set_name

MPI API Index